- [HTTP request](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.ListVerificationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/list.md.txt#body.aspect)

List verifications of a location, ordered by create time.

### HTTP request

`GET https://mybusinessverifications.googleapis.com/v1/{parent=locations/*}/verifications`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the location that verification requests belong to. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many verification to include per page. Minimum is 1, and the default and maximum page size is 100. |
| `pageToken` | `string` If specified, returns the next page of verifications. |

### Request body

The request body must be empty.

### Response body

Response message for Verifications.ListVerifications.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verifications": [ { object (`Verification`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `verifications[]` | ``object (`Verification`)`` List of the verifications. |
| `nextPageToken` | `string` If the number of verifications exceeded the requested page size, this field will be populated with a token to fetch the next page of verification on a subsequent call. If there are no more attributes, this field will not be present in the response. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).